<?php

declare(strict_types=1);

namespace App\Message\Message;

use App\ApiResources\Organization\OrganizationCreationRequest;

/**
 * Transmission d'une requête de création d'organisation au service dédié.
 */
class OrganizationCreation
{
    public function __construct(
        private OrganizationCreationRequest $organizationCreationRequest,
    ) {
    }

    public function getOrganizationCreationRequest(): OrganizationCreationRequest
    {
        return $this->organizationCreationRequest;
    }

    public function setOrganizationCreationRequest(OrganizationCreationRequest $organizationCreationRequest): void
    {
        $this->organizationCreationRequest = $organizationCreationRequest;
    }
}
